# $Revision: 1.44 $, $Date: 2008/07/27 22:27:25 $
Summary:	The AfterStep Clock for Window Maker
Summary(pl.UTF-8):	Zegarek przeniesiony z AfterStep do WindowMakera
Summary(pt_BR.UTF-8):	Relógio para o "dock" do Window Maker
Summary(es.UTF-8):	Reloj para el "dock" de Winow Maker
Name:		wmclock
Version:	1.0.12.2
Release:	9
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://www.jmknoble.net/WindowMaker/wmclock/%{name}-%{version}.tar.gz
# Source0-md5:	97f6e82f55f216ba724859d4652586b4
Source1:	%{name}.desktop
Patch0:		%{name}-pl_xpm.patch
URL:		http://www.jmknoble.net/WindowMaker/wmclock/
BuildRequires:	xorg-cf-files
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-gccmakedep
BuildRequires:	xorg-util-imake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wmclock is an applet which displays the date and time in a dockable
tile in the same style as the clock from the NEXTSTEP(tm) operating
system. Wmclock is specially designed for the Window Maker window
manager, by Alfredo Kojima, and features multiple language support,
twenty-four-hour and twelve-hour (am/pm) time display, and,
optionally, can run a user-specified program on a mouse click. Wmclock
is derived from asclock, a similar clock for the AfterStep window
manager.

%description -l pl.UTF-8
Wmclock jest apletem, który wyświetla czas i datę w dock'u w ten sam
sposób jak zegar z NEXTSTEP(tm). Wmclock jest specjalnie
zaprojektowany dla Window Maker'a przez Alfredo Kojima; wspiera wiele
języków, 24- i 12-godzinne (am/pm) wyświetlanie czasu oraz opcjonalnie
może pozwalać na uruchamianie określonego przez użytkownika programu
po kliknięciu myszką. Wmclock został przejęty z asclock'a - podobnego
zegara z AfterStep'a poprzez odpowiednie patche.

%description -l pt_BR.UTF-8
O wmclock é um aplicativo que mostra a data e a hora no "dock" do
Window Maker no mesmo estilo do relógio no sistema operacional
NEXTSTEP(r). Foi projetado especialmente para o gerenciador de janelas
Window Maker, do Alfredo Kojima, e tem várias características: suporte
a várias línguas, mostra a hora em formato 24 horas e 12 horas (am/pm)
e, opcionalmente, pode executar um programa especificado pelo usuário
quando for clicado. É derivado do asclock, um relógio similar para o
gerente de janelas AfterStep.

%description -l es.UTF-8
Reloj para el "dock" de Winow Maker

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--lang english

xmkmf -a
%{__make} \
	CC="%{__cc}" \
	CCOPTIONS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}/docklets \
	$RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name},%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_pixmapsdir}/{br,cs,da,de,es,fr,hu,id,it,nl,no,pl,pt,ru,sl,sv,uk}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.man $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1x

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

install lang.breton/*		$RPM_BUILD_ROOT%{_pixmapsdir}/br
install lang.czech/*		$RPM_BUILD_ROOT%{_pixmapsdir}/cs
install lang.danish/*		$RPM_BUILD_ROOT%{_pixmapsdir}/da
install lang.german/*		$RPM_BUILD_ROOT%{_pixmapsdir}/de
install lang.spanish/*		$RPM_BUILD_ROOT%{_pixmapsdir}/es
install lang.french/*		$RPM_BUILD_ROOT%{_pixmapsdir}/fr
# install lang.french2/*	$RPM_BUILD_ROOT%{_pixmapsdir}/fr
install lang.hungarian/*	$RPM_BUILD_ROOT%{_pixmapsdir}/hu
install lang.indonesian/*	$RPM_BUILD_ROOT%{_pixmapsdir}/id
install lang.italian/*		$RPM_BUILD_ROOT%{_pixmapsdir}/it
install lang.dutch/*		$RPM_BUILD_ROOT%{_pixmapsdir}/nl
install lang.norwegian/*	$RPM_BUILD_ROOT%{_pixmapsdir}/no
install lang.polish/*		$RPM_BUILD_ROOT%{_pixmapsdir}/pl
install lang.portuguese/*	$RPM_BUILD_ROOT%{_pixmapsdir}/pt
install lang.russian/*		$RPM_BUILD_ROOT%{_pixmapsdir}/ru
install lang.slovene/*		$RPM_BUILD_ROOT%{_pixmapsdir}/sl
install lang.swedish/*		$RPM_BUILD_ROOT%{_pixmapsdir}/sv
install lang.ukrainian/*	$RPM_BUILD_ROOT%{_pixmapsdir}/uk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/wmclock
%{_mandir}/man1/wmclock.1x*

%{_desktopdir}/docklets/wmclock.desktop
%lang(br) %{_pixmapsdir}/br
%lang(cs) %{_pixmapsdir}/cs
%lang(da) %{_pixmapsdir}/da
%lang(de) %{_pixmapsdir}/de
%lang(es) %{_pixmapsdir}/es
%lang(fr) %{_pixmapsdir}/fr
%lang(hu) %{_pixmapsdir}/hu
%lang(id) %{_pixmapsdir}/id
%lang(it) %{_pixmapsdir}/it
%lang(nl) %{_pixmapsdir}/nl
%lang(nb) %{_pixmapsdir}/no
%lang(pl) %{_pixmapsdir}/pl
%lang(pt) %{_pixmapsdir}/pt
%lang(ru) %{_pixmapsdir}/ru
%lang(sl) %{_pixmapsdir}/sl
%lang(sv) %{_pixmapsdir}/sv
%lang(uk) %{_pixmapsdir}/uk

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmclock.spec,v $
Revision 1.44  2008/07/27 22:27:25  arekm
- release 9

Revision 1.43  2007-02-12 22:09:20  glen
- tabs in preamble

Revision 1.42  2007/02/12 01:06:37  baggins
- converted to UTF-8

Revision 1.41  2006/10/14 22:42:21  qboosh
- pass CC, cleanup

Revision 1.40  2006/08/23 12:53:38  havner
- modular xorg deps
- rel 8

Revision 1.39  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.38  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.37  2004/07/10 13:37:48  havner
- rel7, I forgot to commit fixed desktop file before

Revision 1.36  2004/07/09 15:39:32  havner
- applnk -> vfolders
- rel 6

Revision 1.35  2004/01/27 12:02:06  qboosh
- updated lang() for bokmaal (s/no/nb/)

Revision 1.34  2003/11/24 12:06:49  averne
- updated release

Revision 1.33  2003/09/19 16:42:27  baggins
- uncommented applink

Revision 1.32  2003/09/18 12:26:42  havner
- mass commit: some fixes due to prefix change

Revision 1.31  2003/06/21 19:53:01  eothane
- URL:/Source0: change, md5sum

Revision 1.30  2003/05/25 06:27:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/02/28 10:09:00  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.28  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.27  2002/06/24 13:37:18  kloczek
- use new %doc and remove COPYING from %doc (Licesnse: GPL).

Revision 1.26  2002/06/15 09:54:05  ankry
- fixed %%lang
- release 4

Revision 1.25  2002/02/23 05:05:00  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:59  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:15:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/11/24 00:57:17  kloczek
- release 3: commented install desktop file.

Revision 1.21  2001/11/24 00:25:24  blues
- some stollen translations + pl improved

Revision 1.20  2001/11/23 21:57:28  blues
- configure macro used

Revision 1.19  2001/11/22 21:29:25  ankry
- added xpms with Polish names
- added license file to %%doc
- added xpms with month/weekday name to rpm (may be used as an argument for now)
- release 2

Revision 1.18  2001/11/21 15:35:16  ankry
- updated to 1.0.12.2

Revision 1.17  2001/11/21 02:08:02  blues
- URLs updated
- some cosmetics
NOTE: there is new version avaible (seems to be the same project - old one
      is dead)

Revision 1.16  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.15  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.14  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/04/01 11:15:59  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.11  1999/11/27 02:59:14  pius
- added using more rpm macros
- cosmetics

Revision 1.10  1999/09/04 09:44:02  pius
- cosmetics

Revision 1.9  1999/09/04 08:58:28  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.8  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.7  1999/07/13 13:55:39  baggins
- added %clean

Revision 1.6  1999/07/12 23:06:19  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jul 11 1999 Piotr Czerwiński <pius@pld.org.pl>
  [1.0-2]
- spec rewritten for PLD use,
- based on spec file by Thomas Ribbrock <emgaron@gmx.net>.
